<back to all web services

AddExternalCacheRequest

The following routes are available for this service:
POST/RestApi/cache//add
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class AddExternalCacheRequest
{
    open var Url:String? = null
    open var CacheKey:String? = null
    open var Keys:ArrayList<String>? = null
}

open class AddExternalCacheResponse
{
    open var Result:Boolean? = null
    open var Message:String? = null
}

Kotlin AddExternalCacheRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/cache//add HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Url":"String","CacheKey":"String","Keys":["String"]}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"Result":false,"Message":"String"}